Results 1 to 9 of 9

Thread: Buying New PSP What Firmware will I get?

  
  1. #1
    alienagenda is offline -Hacks Newbie
    Join Date
    Jul 2005
    Posts
    23
    Rep Power
    0

    Default

    is there any indication on the box as to the firmware version of the unit?

    of course i want the 1.5v, but dont know how to gaurantee this.


    thanks in advance


  2. #2
    Spartan 117's Avatar
    Spartan 117 is offline Senior Member -Hacks Titan
    Join Date
    May 2005
    Location
    Woodbridge, Virginia
    Posts
    7,847
    Rep Power
    48

    Default

    ur shit out of luck to buy them now, only by a act of God, u can get a 1.5, cuz chances are that u are getting a 1.51+
    lol @ Thread

    © Spartan 117. 2005-2019. All rights Reserved, lol

    Need X-Box 360 help, Click Here!

  3. #3
    alienagenda is offline -Hacks Newbie
    Join Date
    Jul 2005
    Posts
    23
    Rep Power
    0

    Default

    not what i wanted to hear...
    will the iso loaders rumored to be completed soon work with the 1.51+ units?
    can i role back to 1.5 yet?

    heard rumor that an A or B can be found next to the voltage code on the box and this indicates 1.51 and 1.52 respectively....anyone heard this rumor?

    thanks again for the information in advance...

    aagenda

  4. #4
    SONY_PSP_DUDE is offline -Hacks Enthusiast
    Join Date
    Jul 2005
    Posts
    400
    Rep Power
    15

    Default

    no you cant downgrade yet.

    Yeah Ive heard that rumor but it was proven false.

    Star Stats
    Starts:5 Poles:0 Wins:1 Top5\'s:4 Top10\'s:5 DNF\'s:0 Points:957.5 Rank:1st

  5. #5
    Xy
    Xy is offline Senior Member -Hacks Hacker
    Join Date
    Jul 2005
    Posts
    926
    Rep Power
    15

    Default

    Smells like gay to me. I just can't wait till GTA: LCS, the game many bought the PSP for, will require 1.51/2
    _________________
    Xy - Better Than Viagra!

  6. #6
    alienagenda is offline -Hacks Newbie
    Join Date
    Jul 2005
    Posts
    23
    Rep Power
    0

    Default

    "Smells like gay to me"

    not sure what that means, but thanks so much for your useless comments.

    So no word on if the iso loaders will work with the 1.51+ versions?

  7. #7
    Spartan 117's Avatar
    Spartan 117 is offline Senior Member -Hacks Titan
    Join Date
    May 2005
    Location
    Woodbridge, Virginia
    Posts
    7,847
    Rep Power
    48

    Default

    so next time use the search funtion to find out whats out now
    lol @ Thread

    © Spartan 117. 2005-2019. All rights Reserved, lol

    Need X-Box 360 help, Click Here!

  8. #8
    R3TARD is offline Senior Member -Hacks Ninja
    Join Date
    Jun 2005
    Location
    R3TARD For Admin Sex:YesPlz
    Posts
    797
    Rep Power
    15

    Default

    Smells like gay to me. I just can't wait till GTA: LCS, the game many bought the PSP for, will require 1.51/2
    _________________
    Hopefully by then someone will find a way to load the game from 1.5, Im sure all you (1337) hackers will :D
    -Your brain is a garage I park my bullshit in-

  9. #9
    RaiderX's Avatar
    RaiderX is offline Senior Member -Hacks Titan
    Join Date
    Jun 2005
    Posts
    4,192
    Rep Power
    21

    Default

    I'm cracking up after reading: "Smells like gay to me". THX 4 that 1! Needed a good laugh! Anyway, No game are said to require updates yet, but sony might be gay and force them. We just all have to wait and see.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •